#!/bin/sh
export PATH='/wrkdirs/usr/ports/security/hs-tls/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: tls
version: 1.4.1
id: tls-1.4.1-9YreUSfklDcEt6BV8vMroM
key: tls-1.4.1-9YreUSfklDcEt6BV8vMroM
license: BSD-3-Clause
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
author: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
synopsis: TLS/SSL protocol native implementation (Server and Client)
description:
    Native Haskell TLS and SSL protocol implementation for server and client.
    .
    This provides a high-level implementation of a sensitive security protocol,
    eliminating a common set of security issues through the use of the advanced
    type system, high level constructions and common Haskell features.
    .
    Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
    and support RSA and Ephemeral (Elliptic curve and regular) Diffie Hellman key exchanges,
    and many extensions.
    .
    Some debug tools linked with tls, are available through the
    <http://hackage.haskell.org/package/tls-debug/>.
category: Network
abi: 79d646522fdadf82cfe362fbc9d3d414
exposed: True
exposed-modules:
    Network.TLS Network.TLS.Cipher Network.TLS.Compression
    Network.TLS.Extra Network.TLS.Extra.Cipher Network.TLS.Extra.FFDHE
    Network.TLS.Internal
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Context.Internal
                Network.TLS.Credentials Network.TLS.Backend Network.TLS.Crypto
                Network.TLS.Crypto.DH Network.TLS.Crypto.IES
                Network.TLS.Crypto.Types Network.TLS.ErrT Network.TLS.Extension
                Network.TLS.Handshake Network.TLS.Handshake.Common
                Network.TLS.Handshake.Certificate Network.TLS.Handshake.Key
                Network.TLS.Handshake.Client Network.TLS.Handshake.Server
                Network.TLS.Handshake.Process Network.TLS.Handshake.Signature
                Network.TLS.Handshake.State Network.TLS.Hooks Network.TLS.IO
                Network.TLS.Imports Network.TLS.MAC Network.TLS.Measurement
                Network.TLS.Packet Network.TLS.Parameters Network.TLS.Record
                Network.TLS.Record.Types Network.TLS.Record.Engage
                Network.TLS.Record.Disengage Network.TLS.Record.State
                Network.TLS.RNG Network.TLS.State Network.TLS.Session
                Network.TLS.Sending Network.TLS.Receiving Network.TLS.Util
                Network.TLS.Util.ASN1 Network.TLS.Util.Serialization
                Network.TLS.Types Network.TLS.Wire Network.TLS.X509
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/tls-1.4.1
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/tls-1.4.1
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/tls-1.4.1
hs-libraries: HStls-1.4.1-9YreUSfklDcEt6BV8vMroM
include-dirs: /usr/local/include
depends:
    base-4.11.1.0 mtl-2.2.2 transformers-0.5.5.0
    cereal-0.5.5.0-1XCE4Uz2LbqDHkorQgs6Kt bytestring-0.10.8.2
    data-default-class-0.1.2.0-2kYzERBLX3wJoPfj7mwVvW
    memory-0.14.16-JLfkkxp15t33NZq08rxa3A
    cryptonite-0.24-IB3d67JTGAyITh9jXY085
    asn1-types-0.3.2-32YphTINWyb9vPs5oNudwD
    asn1-encoding-0.9.5-4I7lQS2ktFAE18KqXtucIM
    x509-1.7.3-L0A7eQ9juIV92y2XdGjblI
    x509-store-1.6.6-27wmiIVHBDmfSxstdQKOd
    x509-validation-1.6.10-7zdXuX4YPdJ7Hn5sHczrnQ
    async-2.2.1-8jCsqp1mfSdCWrTXWXXFRn
    network-2.6.3.2-6UULJJw3egYFPRHsaFrlj6
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             cereal-0.5.5.0-1XCE4Uz2LbqDHkorQgs6Kt=f45965cbb6000c1108c84083530623e3
             bytestring-0.10.8.2=7e6ff0f3c2255fe1b20bd14002d26042
             data-default-class-0.1.2.0-2kYzERBLX3wJoPfj7mwVvW=639d0be5da59a46bc75a117818368dbe
             memory-0.14.16-JLfkkxp15t33NZq08rxa3A=9932ab63d83bf9372820daa9e7d27a37
             cryptonite-0.24-IB3d67JTGAyITh9jXY085=35bd599986cb7a3957839f4215473f9e
             asn1-types-0.3.2-32YphTINWyb9vPs5oNudwD=d5879d232c9ba6de8104d2c7cec0c475
             asn1-encoding-0.9.5-4I7lQS2ktFAE18KqXtucIM=1e1c791e1c824e8835c644d2884797aa
             x509-1.7.3-L0A7eQ9juIV92y2XdGjblI=c965e6b6034e528e5479ffbde2320cd1
             x509-store-1.6.6-27wmiIVHBDmfSxstdQKOd=f698189eac3e3ebe9f821a9e813af39b
             x509-validation-1.6.10-7zdXuX4YPdJ7Hn5sHczrnQ=db45d7ce3c8723a9aced7d26dd19f165
             async-2.2.1-8jCsqp1mfSdCWrTXWXXFRn=ccec9b2e2064a1e556b06f86086fad6a
             network-2.6.3.2-6UULJJw3egYFPRHsaFrlj6=af68d1d4ff94c3797341574f71cb6f21
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/tls-1.4.1/html/tls.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/tls-1.4.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

